package com.zivilon.cindercore.interfaces;

import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.network.Packet;
import cpw.mods.fml.common.registry.EntityRegistry.EntityRegistration;

public interface IFMLNetworkHandlerMixin {
    static Packet getEntitySpawningPacket(Entity entity, EntityPlayerMP player) {
        throw new UnsupportedOperationException("This method should be implemented in a mixin");
    }

    static EntityRegistration get_entity_registration_by_entity_id(int entityId) {
        throw new UnsupportedOperationException("This method should be implemented in a mixin");
    }
}


